Subject: Re: [PATCH] Allow specifying bridge port STP state by name rather than number.

From: Alex Pilon <[email-masked]>
Date: Thu, 19 Feb 2015 23:57:30 -0500

On Thu, Feb 19, 2015 at 09:00:23PM -0500, Jonathon Reinhart wrote:
> Please don't pass -1 to exit().  It is outside the acceptable range (0 to 255)
> of exit status values:
>
> https://www.gnu.org/software/libc/manual/html_node/Exit-Status.html
>
> Most programs exit(1) when presented with invalid user input.

I was being consistent with nearby code, and the dominant style.  But if
that's the case, then there's a few hundred such mistakes that need
correcting.  Should I fix all of them, and if so, should that be a
single patch, or multiple?

There's also only a few instances of EXIT_{SUCCESS,FAILURE}, so I took
it wasn't the style to use that.

Regards,

Alex Pilon